Bug 25367 - Anaconda
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-30 23:33 EST by Al Evangelista
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-08 12:48:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Al Evangelista 2001-01-30 23:33:53 EST
Doing an installation via Graphical Interface of the Disk 1 of Red Hat 
Linux Binnaries, issued with the SmartCertifyDirect Linux system Admin 
course:  Installation gets to end and tells me I don't have enough space 
to install all the packets, I'm missing 41 megs.
I am assigning my own mount point for the files:  /mnt.
The system returns the bug report that follows:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 409, in 
    self.setScreen (self.currentScreen, self.prevClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/iw/rootpartition_gui.py", line 133, in getScreen
    avail = apply(isys.spaceAvailable, self.todo.fstab.getRootDevice())
  File "isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hdb6
readOnly: 0
device: /tmp/hdb6

ToDo object:

Comment 1 Michael Fulbright 2001-02-01 12:30:51 EST
As I understand, the steps you took were:

- configured packages/etc
- got to screen which says 'you need more space'
- went back to adjust partitioning
- went forwards and saw this message.

Is this correct?
Comment 2 Al Evangelista 2001-02-01 23:23:57 EST
In answer to your questions the answer is "Yes."

To clarify even further I was trying to load the linux kernel on a DOS 
partition and not create a Linux partition.

I hope this helps out.
Comment 3 Michael Fulbright 2001-02-06 15:32:33 EST

I think if you make the original space for linux large enough you will not
encounter this problem. I will look into fixing the case which is giving you
trouble as well.

Related to bug 16686.
Comment 4 Michael Fulbright 2001-02-08 12:48:49 EST
Were you able to use the workaround?
Comment 5 Michael Fulbright 2001-03-05 17:47:02 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.